<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
QueueDatabase..::.FastStats Method (Transaction, Isolation)
QueueDatabase Class See Also

Return the database statistical information which does not require traversal of the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public QueueStats FastStats(
    	Transaction txn,
    	Isolation isoDegree
    )

Visual Basic (Declaration)

    Public Function FastStats ( _
    	txn As Transaction, _
    	isoDegree As Isolation _
    ) As QueueStats

Visual C++

    public:
    QueueStats^ FastStats(
    	Transaction^ txn,
    	Isolation isoDegree
    )

#### Parameters

txn
  Type: BerkeleyDB..::.Transaction
  If the operation is part of an application-specified transaction, txn is a Transaction object returned from BeginTransaction()()(); if the operation is part of a Berkeley DB Concurrent Data Store group, txn is a handle returned from BeginCDSGroup()()(); otherwise null.

isoDegree
  Type: BerkeleyDB..::.Isolation
  The level of isolation for database reads. DEGREE_ONE will be silently ignored for databases which did not specify ReadUncommitted.

#### Return Value

The database statistical information which does not require traversal of the database.

# See Also

QueueDatabase Class
FastStats Overload
BerkeleyDB Namespace